﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">Cronus_Server</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Home
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="matches">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Matches
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="competitionParents">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Leagues
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="players">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Players
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="teams">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Teams
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="teamSeasons">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Registration
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="referees">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Referees
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="stadiums">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Stadiums
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="seasons">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Seasons
            </NavLink>
        </li>
    </ul>
</div>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
